# Filename: gui_options_selection_type.py
# Purpose: Validation check for option selected.
# Returns: Void.

from maptek import vulcan_gui

sel = vulcan_gui.selection('Select object')
selection_type_mode = 'BYLAYER'

assert selection_type_mode in vulcan_gui.gui_options.selection_type, \
      'ValueError: Invalid selection_type mode requested'

prop = vulcan_gui.gui_options.property_values()
print(prop)